clang-tools 10.0.0

Namespaces
TUSchedulerTests.cpp File Reference
`#include "Annotations.h"`
`#include "Context.h"`
`#include "Diagnostics.h"`
`#include "Matchers.h"`
`#include "ParsedAST.h"`
`#include "Path.h"`
`#include "Preamble.h"`
`#include "TUScheduler.h"`
`#include "TestFS.h"`
`#include "Threading.h"`
`#include "clang/Basic/DiagnosticDriver.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/ScopeExit.h"`
`#include "gmock/gmock.h"`
`#include "gtest/gtest.h"`
`#include <algorithm>`
`#include <utility>`
Include dependency graph for TUSchedulerTests.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Variable Documentation

## ◆ CDB

MockCompilationDatabase CDB
| protected

Definition at line 121 of file TUSchedulerTests.cpp.

## ◆ DiagsCallbackKey

Key<llvm::unique_function<void(PathRef File, std::vector<Diag>)> > DiagsCallbackKey
| static protected

Definition at line 64 of file TUSchedulerTests.cpp.

## ◆ Files

llvm::StringMap<std::string> Files
| protected

Definition at line 119 of file TUSchedulerTests.cpp.

Referenced by clang::replace::applyChanges(), clang::clangd::TestTU::build(), and main().

## ◆ Timestamps

llvm::StringMap<time_t> Timestamps
| protected

Definition at line 120 of file TUSchedulerTests.cpp.